---
schema_version: "1"
id: 63fe9c45db750a592f03afb93f1d0e5ddc95087ac09b021851e78bd932eca6f7
title: LoadDataOptions | @tableau/taco-toolkit - v2.1.0
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/webdataconnector/reference/interfaces/handlers.LoadDataOptions.md
canonical_url: https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html
source_site: help.tableau.com
content_type: documentation
content_hash: 51db57a17e996f89fd85bb0247421538e09337ab6919b8753ef4fa731ba2f889
description: Documentation for @tableau/taco-toolkit
---
- [@tableau/taco-toolkit](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/index.html)
- [handlers](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/modules/handlers.html)
- [LoadDataOptions](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html)

# Interface LoadDataOptions

#### Hierarchy

- RequestOptions
    - LoadDataOptions
        - [LoadCsvDataOptions](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.LoadCsvDataOptions.html)

##### Index

### Properties

[body?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#body) [headers?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#headers) [method?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#method) [query?](https://help.tableau.com/v0.0/api/webdataconnector/en-us/reference/interfaces/handlers.LoadDataOptions.html#query)

## Properties

### `Optional` body[](#body)

body?: string | object

### `Optional` headers[](#headers)

headers?: Record<string, string\>

Overrides RequestOptions.headers

### `Optional` method[](#method)

method?: "GET" | "POST"

### `Optional` query[](#query)

query?: Record<string, unknown\>

Query params. An object with key-value pair.

The object will be serialized as query string and appended to the url.

Inherited from RequestOptions.query

### Settings

#### Member Visibility

- Inherited

#### Theme

OSLightDark

### On This Page

- [body](#body)
- [headers](#headers)
- [method](#method)
- [query](#query)

Generated using [TypeDoc](https://typedoc.org/)